## camlimages 4.0.1

=== debian/changelog ===
camlimages (1:4.0.1-8build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:26:51 +0000

camlimages (1:4.0.1-8) unstable; urgency=low

  * Team upload
  * Depend on libtiff-dev

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 May 2013 14:45:38 +0200

camlimages (1:4.0.1-7) unstable; urgency=low

  * Team upload
  * Depend on libtiff4-dev. That transition is not ready.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 May 2013 14:26:10 +0200

camlimages (1:4.0.1-6) unstable; urgency=low

  * Also bump build-dep on libtiff to libtiff5-dev
    in libcamlimages-ocaml-dev. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 15 May 2013 07:02:39 -0500

camlimages (1:4.0.1-5) unstable; urgency=low

  [ Stéphane Glondu ]
  * Build-Depend on libpng-dev instead of libpng12-dev (Closes: #662281)

  [ Romain Beauxis ]
  * Build-depend on libtiff5-dev instead of libtiff4-dev
  * Patched src/META.in file to remove mention
    of non-existant camlimages.cm{a,xa}
  Closes: #636167:
  * Bumped standards version to 3.9.4

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 May 2013 20:28:42 -0500

camlimages (1:4.0.1-4) unstable; urgency=low

  * Team upload.
  * Patched sources to replace Sort.list (deprecated)
    by List.sort. Sort.list was causing troubles when
    dynamically loading camlimages.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 17 Oct 2011 00:04:16 +0200

camlimages (1:4.0.1-3) unstable; urgency=low

  * Team upload
  * Depends on libjpeg-dev instead of libjpeg62-dev (Closes: #633646)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Jul 2011 15:19:42 +0200

camlimages (1:4.0.1-2) unstable; urgency=low

  * Team upload
  * Fix compilation on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Sun, 03 Jul 2011 15:57:28 +0200

camlimages (1:4.0.1-1) unstable; urgency=low

  * Team upload

  [ Stéphane Glondu ]
  * New upstream release (Closes: #604636, #631852)
    - remove patches:
      + Integer-Overflows-tiffread.c applied upstream
      + other patches obsoleted by new upstream build system
    - add patch to fix building of mixed bytecode libraries
  * debian/control:
    - remove Stefano from Uploaders
    - use libjpeg-dev in Build-Depends (Closes: #629959)
    - bump Standards-Version to 3.9.2
  * Rewrite debian/rules using dh with overrides
  * Bump debhelper compatibility level to 8
  * Update watch file

  [ Sylvain Le Gall ]
  * Switch to dpkg-source 3.0 (quilt) format

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Jul 2011 20:22:34 +0200

camlimages (1:3.0.1-5) unstable; urgency=low

  * Add a patch to fix integer overflows in tiffread.c
    Fixes: CVE-2009-3296

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 01 Nov 2009 14:04:33 +0100

camlimages (1:3.0.1-4) unstable; urgency=low

  * Update e-mail address
  * Use dh_ocamldoc to generate and install the documentation
    (Closes: #549763)
  * Reorder inclusions in debian/rules to workaround a CDBS bug.
  * Bump standards to 3.8.3
  * Use new features of dh-ocaml (>= 0.9)
  * Tighten build-dependencies on lablgtk2 and findlib
  * Fix duplicate-short-description

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 06 Oct 2009 17:09:31 +0200

camlimages (1:3.0.1-3) unstable; urgency=low

  * Add a patch fix_more_integer_overflows to fix security issues,
   (Closes: 540146)
   Fixes: CVE-2009-2660

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 07 Aug 2009 23:56:55 +0200

camlimages (1:3.0.1-2) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Add myself to uploaders
  * Fix missing comma in control file, Closes: #535675.
  * Move library packages to ocaml section.
  * Get rid of usage of old OCaml's stdlib location, fixes FTBFS.
  * Add versioned dependencies to ocaml-findlib and lablgtk2 to ease
    OCaml 3.11.1 transition.
  * Bump standards to 3.8.2
  * Move documentation from the -dev package to the -doc one.
  * Add a patch fix_integer_overflows to fix security issue (CVE-2009-2295)

  [ Sylvain Le Gall ]
  * Use a unique ID foreach document managed by doc-base

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Thu, 02 Jul 2009 11:39:30 +0200

camlimages (1:3.0.1-1) unstable; urgency=low

  [ Ralf Treinen ]
  * Updated debian/watch.

  [ Sylvain Le Gall ]
  * New upstream version:
    * Remove useless patches
    * Adapt debian/rules and other debhelper files
    * Add debian/patches/fix_3_0_1 to fix various problem (probably due to
      OCaml 3.11 migration)
  * Depends on version 2.12 of lablgtk2
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Add ${misc:Depends} to dependencies
  * Update Homepage field into debian/control and debian/copyright
  * Add license version for debian packaging
  * Directly use eng.html rather than creating a linked index.html file

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Mar 2009 00:19:32 +0100

camlimages (1:2.2.0-4) unstable; urgency=low

  * Update copyright file to something more compliant with
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Change Objective CAML for OCaml in debian/control
  * Add *-dev dependency back, in fact they are used (Closes: #489085)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 03 Jul 2008 16:33:16 +0200

camlimages (1:2.2.0-3) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

  [ Sylvain Le Gall ]
  * Switch to libgif-dev (Closes: #486874)
  * Remove useless debian/control.in
  * Upgrade Standard-Version to 3.8.0 and drop dpkg-dev versionned
    depends
  * Add Homepage field
  * Narrow Uploaders field to only people that have done something on
    the package
  * Enhance description, using list
  * Update META.camlimages (Closes: #404412, #404393, #404395)
  * Add README.source explaining to read dpatch manpage
  * Change build-depends on gs to ghostscript
  * Revamp debian/copyright
  * Remove useless *-dev dependency on C library, they are useless



=== debian/control ===
Source: camlimages
Section: devel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 8),
 ocaml (>= 3.11.1),
 ocaml-findlib (>> 1.2.5),
 libpng-dev,
 libjpeg-dev,
 libtiff-dev,
 libxpm-dev,
 libfreetype6-dev (>= 2.1.7),
 libgif-dev,
 liblablgtk2-ocaml-dev (>> 2.12.0-3),
 ghostscript,
 dh-ocaml (>= 0.9),
 omake
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camlimages.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camlimages.git
Homepage: http://gallium.inria.fr/camlimages/

Package: libcamlimages-ocaml
Architecture: any
Section: ocaml
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: OCaml image processing library (Runtime library)
 CamlImages is an image processing library for OCaml, which provides:
 .
  * basic functions for image processing and loading/saving
    various image file formats (hence providing a translation
    facility from format to format)
 .
  * an interface with the Caml graphics library allows one to display
    images in the Graphics module screen and to mix them with Caml
    drawings
 .
  * a freetype interface, integrated into the library: you can
    draw texts into images using any truetype fonts
 .
 In addition, the library can handle huge images that cannot be
 (or can hardly be) stored into the main memory (the library then
 automatically creates swap files and escapes them to reduce the
 memory usage).
 .
 This package contains only the shared runtime stub libraries.

Package: libcamlimages-ocaml-dev
Architecture: any
Section: ocaml
Depends:
 ${ocaml:Depends},
 libpng12-dev,
 libjpeg-dev,
 libtiff-dev,
 libxpm-dev,
 libfreetype6-dev,
 libgif-dev,
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Suggests:
 ocaml-findlib
Description: OCaml image processing library (Development package)
 CamlImages is an image processing library for OCaml, which provides:
 .
  * basic functions for image processing and loading/saving
    various image file formats (hence providing a translation
    facility from format to format)
 .
  * an interface with the Caml graphics library allows one to display
    images in the Graphics module screen and to mix them with Caml
    drawings
 .
  * a freetype interface, integrated into the library: you can
    draw texts into images using any truetype fonts
 .
 In addition, the library can handle huge images that cannot be
 (or can hardly be) stored into the main memory (the library then
 automatically creates swap files and escapes them to reduce the
 memory usage).
 .
 This package contains the development part of the camlimages
 library.

Package: libcamlimages-ocaml-doc
Architecture: all
Section: doc
Suggests: libcamlimages-ocaml-dev
Depends: ${misc:Depends}
Breaks: libcamlimages-ocaml-dev (<< 1:3.0.1-2)
Replaces: libcamlimages-ocaml-dev (<< 1:3.0.1-2)
Description: OCaml CamlImages library documentation
 This package provides documentation for the OCaml CamlImages
 library.
 .
 The library itself is provided in the libcamlimages-ocaml and
 libcamlimages-ocaml-dev packages.

=== debian/watch ===
version=3
http://cristal.inria.fr/camlimages/ .*/v(.*)\.tar\.gz

## camlimages 4.2.0

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest text blogger hatena confluence

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  text      to make text files"
	@echo "  blogger   to make blogger draft texts"
	@echo "  hatena    to make hatena draft texts"
	@echo "  confluence to make confluence draft texts"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/draft.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/draft.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text pages are in $(BUILDDIR)/text."

hatena:
	$(SPHINXBUILD) -b hatena $(ALLSPHINXOPTS) $(BUILDDIR)/hatena
	@echo "Build finished. The draft pages are in $(BUILDDIR)/hatena."

confluence:
	$(SPHINXBUILD) -b confluence $(ALLSPHINXOPTS) $(BUILDDIR)/confluence
	@echo "Build finished. The draft pages are in $(BUILDDIR)/confluence."

blogger:
	$(SPHINXBUILD) -b blogger $(ALLSPHINXOPTS) $(BUILDDIR)/blogger
	@echo "Build finished. The draft pages are in $(BUILDDIR)/blogger."

=== debian/changelog ===
camlimages (1:4.2.0-1build1) xenial; urgency=medium

  * No-change rebuild against libgif7

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Oct 2015 14:56:07 +0100

camlimages (1:4.2.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
    - Disable "liv" example
  * Update debian/watch
  * Update Vcs-*

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from Uploaders.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Oct 2015 13:52:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper (>= 8),
@@ -21,8 +20,8 @@
  dh-ocaml (>= 0.9),
  omake
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camlimages.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camlimages.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/camlimages.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/camlimages.git
 Homepage: http://gallium.inria.fr/camlimages/
 
 Package: libcamlimages-ocaml

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

OMAKE=omake --verbose
DESTDIR=$(CURDIR)/debian/tmp
OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
ifeq ($(OCAML_HAVE_OCAMLOPT),no)
	sed -i 's/NATIVE_ENABLED=./NATIVE_ENABLED=0/' OMakefile
endif

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(OMAKE)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR) $(DESTDIR)$(OCAML_DLL_DIR)
	$(OMAKE) install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(OMAKE) clean
	find -name '*.omc' -delete
	sed -i 's/NATIVE_ENABLED=./NATIVE_ENABLED=1/' OMakefile

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.so.owner

.PHONY: override_dh_installexamples
override_dh_installexamples:
	dh_installexamples -X'.cm*' -X.o -Xliv-furuse -X.cvsignore

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -Xexamples

=== debian/watch ===
version=3
https://bitbucket.org/camlspotter/camlimages/downloads .*/(?:v|camlimages-)?(\d.*)\.tar\.gz

## camlimages 4.2.6

=== debian/changelog ===
camlimages (1:4.2.6-4) unstable; urgency=medium

  * Depend on libexif-dev (Closes: #921790)

 -- Kyle Robbertze <krobbertze@gmail.com>  Sun, 17 Feb 2019 17:38:56 +0200

camlimages (1:4.2.6-3) unstable; urgency=medium

  * Drop lablgtk2 support
  * Fix build on bytecode architectures (Closes: #918247)

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 21 Jan 2019 12:38:49 +0200

camlimages (1:4.2.6-2) unstable; urgency=medium

  * Fix bytecode compilation (Closes: #918247)

 -- Kyle Robbertze <krobbertze@gmail.com>  Fri, 04 Jan 2019 22:37:37 +0200

camlimages (1:4.2.6-1) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/control
    - Move Vcs-* to salsa.debian.org
    - Add "Build-Depends: pkg-config" to detect freetype (Closes: #887601)
    - Add "Build-Depends: libexif-dev"
    - Use "Build-Depends: debhelper-compat", instead of debian/compat file
    - Set Standards-Version: 4.3.0
  * debian/patches
    - Add 0002-Use-pkg-config-to-detect-freetype.patch
    - Add 0003-drop-Check_header_library-for-freetype.patch
  * Update debian/watch to detect upstream version correctly

  [ Kyle Robbertze ]
  * New upstream version 4.2.6
  * Drop unsupported html doc
  * Add new uploader

 -- Kyle Robbertze <krobbertze@gmail.com>  Wed, 02 Jan 2019 13:31:37 +0200

camlimages (1:4.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libpng12-dev to libpng-dev, to ease libpng transition.
    Closes: #816102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Mar 2016 16:08:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,30 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
+ Kyle Robbertze <krobbertze@gmail.com>,
  Ralf Treinen <treinen@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 11),
+ debhelper-compat (= 11),
+ pkg-config,
  ocaml (>= 3.11.1),
  ocaml-findlib (>> 1.2.5),
  libpng-dev,
  libjpeg-dev,
  libtiff-dev,
  libxpm-dev,
+ libexif-dev,
  libfreetype6-dev (>= 2.1.7),
  libgif-dev,
- liblablgtk2-ocaml-dev (>> 2.12.0-3),
  ghostscript,
  dh-ocaml (>= 0.9),
  omake
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/camlimages.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/camlimages.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/ocaml-team/camlimages.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/camlimages
 Homepage: http://gallium.inria.fr/camlimages/
+Rules-Requires-Root: no
 
 Package: libcamlimages-ocaml
 Architecture: any
@@ -59,9 +63,10 @@
 Section: ocaml
 Depends:
  ${ocaml:Depends},
- libpng12-dev,
+ libpng-dev,
  libjpeg-dev,
  libtiff-dev,
+ libexif-dev,
  libxpm-dev,
  libfreetype6-dev,
  libgif-dev,

=== debian/watch ===
version=4
https://bitbucket.org/camlspotter/camlimages/downloads/?tab=tags \
  /camlspotter/@PACKAGE@/get/(4.*)@ARCHIVE_EXT@
# 5.0.x series seems to work in progress, so limit it to 4.x

## camlimages 5.0.3

=== debian/changelog ===
camlimages (1:5.0.3-2) unstable; urgency=medium

  * Team upload
  * Add ocaml-findlib and libgraphics-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Oct 2020 07:23:03 +0200

camlimages (1:5.0.3-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

  [ Kyle Robbertze ]
  * Update uploader email

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Aug 2020 07:51:44 +0200

camlimages (1:4.2.6-5) unstable; urgency=high

  * Team upload
  * Force rebuild of all packages on buildds

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2019 11:31:53 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p camlimages

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

## camlimages 5.0.4

=== debian/changelog ===
camlimages (1:5.0.4-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:16:49 +0100

camlimages (1:5.0.4-1build1) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 06:48:22 +0000

camlimages (1:5.0.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 24 Nov 2020 10:05:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,24 @@
 Source: camlimages
 Section: devel
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Kyle Robbertze <krobbertze@gmail.com>,
+ Kyle Robbertze <paddatrapper@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 11),
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  pkg-config,
- ocaml (>= 3.11.1),
- ocaml-findlib (>> 1.2.5),
+ ocaml,
+ ocaml-findlib,
+ ocaml-dune,
+ cppo,
+ libdune-ocaml-dev,
+ libfindlib-ocaml-dev,
+ libbase-ocaml-dev,
+ libstdio-ocaml-dev,
+ libgraphics-ocaml-dev,
  libpng-dev,
  libjpeg-dev,
  libtiff-dev,
@@ -20,12 +27,11 @@
  libfreetype6-dev (>= 2.1.7),
  libgif-dev,
  ghostscript,
- dh-ocaml (>= 0.9),
- omake
-Standards-Version: 4.3.0
+ dh-ocaml
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlimages.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlimages
-Homepage: http://gallium.inria.fr/camlimages/
+Homepage: https://gitlab.com/camlspotter/camlimages
 Rules-Requires-Root: no
 
 Package: libcamlimages-ocaml
@@ -111,4 +117,3 @@
  .
  The library itself is provided in the libcamlimages-ocaml and
  libcamlimages-ocaml-dev packages.
-

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
+
+override_dh_installexamples:
+	dh_installexamples -X.cvsignore

=== debian/watch ===
version=4
https://gitlab.com/camlspotter/camlimages/-/tags .*camlimages-([0-9.]+)\.tar\.gz

## camlimages 5.0.5

=== debian/changelog ===
camlimages (1:5.0.5-2build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 14:10:37 +0100

camlimages (1:5.0.5-2) unstable; urgency=medium

  * Team upload
  * Fix build with base >= 0.17.0 (Closes: #1081706)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 17 Sep 2024 03:57:25 +0200

camlimages (1:5.0.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1073873)
  * Compile stubs with -fPIC to fix linking error
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2024 16:26:30 +0200

camlimages (1:5.0.4-4) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 08:26:41 +0200

camlimages (1:5.0.4-3) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune (Closes: #1040999)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 09:29:46 +0200

camlimages (1:5.0.4-2) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints. + libcamlimages-ocaml-doc: Add Multi-Arch: foreign.
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Fix day-of-week for changelog entry 2.12-4.
  * Update standards version to 4.6.1, no changes needed.

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Nov 2022 13:50:37 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_installexamples:
	dh_installexamples -X.cvsignore
